japa.parser.ast.body

## Class EnumDeclaration

- java.lang.Object
- - japa.parser.ast.Node
  - - japa.parser.ast.body.BodyDeclaration
    - - japa.parser.ast.body.TypeDeclaration
      - - japa.parser.ast.body.EnumDeclaration

    public final class EnumDeclaration
    extends TypeDeclaration

### Constructor Summary

Constructors
Constructor and Description
`EnumDeclaration()`
`EnumDeclaration(int beginLine, int beginColumn, int endLine, int endColumn, JavadocComment javaDoc, int modifiers, List<AnnotationExpr> annotations, String name, List<ClassOrInterfaceType> implementsList, List<EnumConstantDeclaration> entries, List<BodyDeclaration> members)`
`EnumDeclaration(int modifiers, String name)`
`EnumDeclaration(JavadocComment javaDoc, int modifiers, List<AnnotationExpr> annotations, String name, List<ClassOrInterfaceType> implementsList, List<EnumConstantDeclaration> entries, List<BodyDeclaration> members)`

### Method Summary

Methods
`<R,A> R` `accept(GenericVisitor<R,A> v, A arg)` Accept method for visitor support.
`<A> void` `accept(VoidVisitor<A> v, A arg)` Accept method for visitor support.
`List<EnumConstantDeclaration>` `getEntries()`
`List<ClassOrInterfaceType>` `getImplements()`
`void` `setEntries(List<EnumConstantDeclaration> entries)`
`void` `setImplements(List<ClassOrInterfaceType> implementsList)`

### Methods inherited from class japa.parser.ast.body.TypeDeclaration

`getMembers, getModifiers, getName, setMembers, setModifiers, setName`

### Methods inherited from class japa.parser.ast.body.BodyDeclaration

`getAnnotations, getJavaDoc, setAnnotations, setJavaDoc`

### Methods inherited from class japa.parser.ast.Node

`equals, getBeginColumn, getBeginLine, getData, getEndColumn, getEndLine, hashCode, setBeginColumn, setBeginLine, setData, setEndColumn, setEndLine, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### EnumDeclaration

    public EnumDeclaration()

#### EnumDeclaration

    public EnumDeclaration(int modifiers,
                   String name)

#### EnumDeclaration

    public EnumDeclaration(JavadocComment javaDoc,
                   int modifiers,
                   List<AnnotationExpr> annotations,
                   String name,
                   List<ClassOrInterfaceType> implementsList,
                   List<EnumConstantDeclaration> entries,
                   List<BodyDeclaration> members)

#### EnumDeclaration

    public EnumDeclaration(int beginLine,
                   int beginColumn,
                   int endLine,
                   int endColumn,
                   JavadocComment javaDoc,
                   int modifiers,
                   List<AnnotationExpr> annotations,
                   String name,
                   List<ClassOrInterfaceType> implementsList,
                   List<EnumConstantDeclaration> entries,
                   List<BodyDeclaration> members)

### Method Detail

#### accept

    public <R,A> R accept(GenericVisitor<R,A> v,
                 A arg)

Description copied from class: `Node`
Accept method for visitor support.

Specified by:
  `accept` in class `Node`
Type Parameters:
  `R` - the type the return value of the visitor
  `A` - the type the argument passed for the visitor
Parameters:
  `v` - the visitor implementation
  `arg` - any value relevant for the visitor
Returns:
  the result of the visit

#### accept

    public <A> void accept(VoidVisitor<A> v,
                  A arg)

Description copied from class: `Node`
Accept method for visitor support.

Specified by:
  `accept` in class `Node`
Type Parameters:
  `A` - the type the argument passed for the visitor
Parameters:
  `v` - the visitor implementation
  `arg` - any value relevant for the visitor

#### getEntries

    public List<EnumConstantDeclaration> getEntries()

#### getImplements

    public List<ClassOrInterfaceType> getImplements()

#### setEntries

    public void setEntries(List<EnumConstantDeclaration> entries)

#### setImplements

    public void setImplements(List<ClassOrInterfaceType> implementsList)